##
##  quilt.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         quilt
Summary:      Patchset Management Tool
URL:          http://savannah.nongnu.org/projects/quilt/
Vendor:       Andrew Morton, Andreas Gruenbacher
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Patching
License:      GPL
Version:      0.68
Release:      20240327

#   list of sources
Source0:      http://download.savannah.gnu.org/releases/quilt/quilt-%{version}.tar.gz
Patch0:       quilt.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, bash, patch, diffutils, diffstat, grep, coreutils, perl, sed, getopt, mktemp
PreReq:       OpenPKG, openpkg >= 20160101, bash, patch, diffutils, diffstat, grep, coreutils, perl, sed, getopt, mktemp

%description
    Quilt is a set of integrated scripts allowing to manage a series of
    patches by keeping track of the changes each patch makes. Patches
    can be applied, un-applied, refreshed, etc.

%track
    prog quilt = {
        version   = %{version}
        url       = http://download.savannah.gnu.org/releases/quilt/
        regex     = quilt-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/quilt
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install BUILD_ROOT=$RPM_BUILD_ROOT
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/locale
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/doc
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/quilt/*'

%files -f files

%clean

